@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Sans+JP:wght@300;600&display=swap");

* {
  box-sizing: border-box;
  color: rgba(30, 30, 30, 1);
  font-size: 0.95rem;
  line-height: 1.8;
  font-family: "IBM Plex Sans JP", sans-serif;
  letter-spacing: 0;
}

/* キーボード操作 */

.text {
  white-space: normal; /* 改行ルール(空白) */
  word-break: keep-all; /* 途中改行禁止 */
  overflow-wrap: break-word; /* 強制改行 */
  text-align: justify;
}

/* 基本設定 */
body {
  background: rgba(230, 230, 230, 1);
  background: rgba(255, 255, 255, 1);
}

a {
  transition: 0.2s;
}
a:hover,
a:focus-visible,
a:active,
button:hover,
button:focus-visible,
button:active {
  transition: 0.25s;
}

.btn {
  cursor: pointer;
  transition: 0.2s; /* アウト */
  }

ul {
  margin: 0;
  padding: 0;
}

h2 {
  font-size: 1.5rem;
  font-weight: bold;
  color: rgba(0, 129, 202, 1);
}

p {
  font-size: 0.95em
}

/* 見出し 線 */
.head-border {
  display: flex;
  align-items: center;
}

.head-border:before,
.head-border:after {
  content: "";
  height: 3px;
  flex-grow: 1;
  background-color: rgba(0, 129, 202, 0.3);
}

.head-border:before {
  margin-right: 1rem;
}

.head-border:after {
  margin-left: 1rem;
}

/* ヘッダー */
header {
  position: relative;
  overflow: hidden;
  z-index: 1;
  background-color: rgba(240, 240, 240, 1);
  height: 632px;
}

header .relative_box {
  height: 100%;
  width: 100%;
  margin: auto;
  overflow-x: hidden;
  overflow-y: auto;
  box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.3);
}

.header_txtbox {/* 箱 */
  margin: 135px auto 0px;
  padding: 50px 60px 50px 90px;
  max-width: 870px;
  /* ガラス */
  background: rgba(255, 255, 255, 0.9);
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px); /* Safari対策 */
  /* 枠 */
  border: 1px solid rgba(255, 255, 255, 0.3);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.15);
  /* その他 */
  border-radius: 12px;
}

.header_text-wrap {/* 文字 */
  margin: auto;
  /* max-width: 600px; */
  display: flex;
}

header h1 {
  color: rgba(0, 129, 202, 1);
  font-weight: 600;
  /* 縁 */
  text-shadow:
  -1px -1px 0 rgba(255, 255, 255, 0.3),
  1px -1px 0 rgba(255, 255, 255, 0.3),
  -1px  1px 0 rgba(255, 255, 255, 0.3),
  1px  1px 0 rgba(255, 255, 255, 0.3);
}

header h1 span {
  color: rgba(0, 129, 202, 1);
  font-size: 1.7rem;
  line-height: 1.7;
}

.title_box {
  width: 700px;
  margin: auto;
  justify-content: center;
}

/* サイトタイトル */
#tt2 {
  font-size: 1.65rem;
}
#tt5 {
  line-height: 1.75;
}

header ul {
  font-weight: bold;
  margin-top: 20px;
}

header ul li {
  color: rgba(0, 129, 202, 1);
  font-size: 1em;
  line-height: 1.75em;
  /* 縁 */
  text-shadow:
  -1px -1px 0 rgba(255, 255, 255, 0.3),
  1px -1px 0 rgba(255, 255, 255, 0.3),
  -1px  1px 0 rgba(255, 255, 255, 0.3),
  1px  1px 0 rgba(255, 255, 255, 0.3);
}

.comment_box {
  position: relative;
  top: -5px;
}

.message {
  max-width: 700px;
  margin: 13px 0 0;
}

.message p {
  margin-top: 10px;
  font-size: 0.9em;
  line-height: 1.7em;
  font-weight: 500;
  /* 縁 */
  text-shadow:
  -1px -1px 0 rgba(255, 255, 255, 0.3),
  1px -1px 0 rgba(255, 255, 255, 0.3),
  -1px  1px 0 rgba(255, 255, 255, 0.3),
  1px  1px 0 rgba(255, 255, 255, 0.3);
  font-weight: 500;
  color: rgba(100, 100, 100, 1);
}

/* 本文 */
.outer_box {
  margin: 0px 3%;
}

/* 作品一覧 */
#selection_outer {
 margin-top: 60px;
}

.selection {
  max-width: 1200px;
  margin: auto;
}

.selection h2 {
  justify-content: center; /* 文字を中央寄せ */
  align-items: center; /* 横線を上下中央 */
  display: flex; /* 文字と横線を横並び */
}

#selection_inner{
  margin-top: 30px;
 }

.selection ul {
  list-style: none;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  -moz-column-gap: 10px;
  column-gap: 35px; /* 横 */
  row-gap: 35px; /*縦 */
  /* 内部のサイズに合わせる(中央配置用サイズ指定) */
  width: fit-content;
  height: fit-content;
  margin: auto;
}

/* カード */
.card {
  /* 基本設定 */
  position: relative; /* 疑似要素の基準点 */
  overflow: hidden; /* imgを拡大した時に枠からはみ出ないように */
  border-radius: 3px;
  border: 1px solid rgba(0, 129, 202, 0.3);
  box-shadow: 0px 5px 10px -6px rgba(0, 0, 0, 0.3);
  aspect-ratio: 3 / 2; /* アスペクト比 */
  /* スクロール アニメーション */
  animation: scroll-anim linear;
  animation-timeline: view();
  animation-range: entry 0% contain 0%;
}

.card::before {/* 背景レイヤー */
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1; /* 中間層 */
  background: rgba(255, 255, 255, 0.6);
  /* hover設定 */
  opacity: 0; /* 初期値 */
  transition: opacity 0.3s ease;
  pointer-events: none; /* 疑似要素の下にあるaタグをクリックさせる */
}

.card::after {/* altテキスト */
  /* 表示用 */
  content: attr(data-alt);
  position: absolute; /* 親要素の基準点に対して */
  inset: 0; /* 上下左右 0px (全体を覆う) */
  z-index: 2; /* 最前面 */
  /* 中央揃え */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1em;
  transform: translateY(0.3em); /* 文字の中心が要素の中心になるようにする */
  /* 改行ルール */
  white-space: normal; /* 改行ルール(空白) */
  word-break: keep-all; /* 途中改行禁止 */
  overflow-wrap: break-word; /* 強制改行 */
  /* 装飾用 */
  text-align: center;
  font-weight: bold;
  font-size: 1.2rem;
  line-height: 1.5;
  font-family: sans-serif;
  color: rgba(0, 5, 10, 0.5);
  mix-blend-mode: hard-light;
  opacity: 1;
  text-shadow:
    -1px -1px 0 rgba(255, 255, 255, 0.3),
     1px -1px 0 rgba(255, 255, 255, 0.3),
    -1px  1px 0 rgba(255, 255, 255, 0.3),
     1px  1px 0 rgba(255, 255, 255, 0.3);
  /* hover設定 */
  opacity: 0; /* 初期値 */
  transition: opacity 0.3s ease;
  pointer-events: none; /* 疑似要素の下にあるaタグをクリックさせる */
}

/* altが空のときだけ */
.card[data-alt=""]::after {
  content: "▶︎";
  font-size: 40px;
  top: -20px;
  left: 2%;
}

.card img {
  display: block; /* 画像下にできる 余白（baseline）を消す */
  width: 100%; /* 枠に合わせる */
  height: 100%;
  object-fit: cover; /* トリミング */
  object-position: top;
  transition: 0.3s;
  z-index: 0; /* 最背面 */
  /* ズーム */
}

.card.card-hover::before,
.card.card-hover::after {/* hover時 */
  opacity: 1;
}

.card.card-hover img {
  /* 画像の明るさ(発光) */
  filter: brightness(1.03);
  /* ズーム */
  transform: scale(1.025);
}

@keyframes scroll-anim {
  from {
    opacity: 0;
    scale: 0.9;
  }
  to {
    opacity: 1;
    scale: 1;
  }
}

/* 概要 */
dt {
  font-size: 1.5rem;
  font-weight: bold;
  text-align: center;
  margin: 35px 0 20px;
}

.curriculum dt {
  color: rgba(0, 129, 202, 1);
  font-size: 1.5rem;
  font-weight: bold;
  text-align: center;
  margin: 40px 0 25px;
  line-height: 1.25;
}

.span_h2 {
  white-space: nowrap;
  color: rgba(0, 129, 202, 1);
}

.outline {
  max-width: 950px;
  margin: 0px auto;
}

.outline dt {
  color: white;
  background-color: rgba(0, 129, 202, 1);
  border-radius: 5px 5px 0 0;
  margin: 0;
  padding: 10px 0 5px;
}

.outline dd {/* 見出し */
  background-color: white;
  border-radius: 0 0 3px 3px;
  padding: 20px 10% 30px;
}

.outline dd p {/* 本文 */
  max-width: 750px;
  margin: 10px auto 0px;
}

#about_outer {
  margin: 50px 3% 0px;
}

#about_inner {
  max-width: 1200px;
  border-radius: 3px;
  background-color: rgba(50, 150, 230, 0.2);
  box-shadow: 0px 5px 8px -6px rgba(0, 0, 0, 0.25);
  /* 余白 */
  margin: 0px auto;
  padding: 40px 40px 30px;
}

/* カリキュラム選択 */
#y2023 {
  display: none;
}

.sel_btn {
  margin: 20px 0 30px;
}

.sel_btn ul {
  display: flex;
  justify-content: space-between;
  max-width: 250px;
  margin: 0 auto;
}

.sel_btn ul li {
  height: 100px;
  width: 100px;
  color: white;
  background: rgba(0, 129, 202, 1);
  border-radius: 50%;
  font-size: 1.5rem;
  line-height: 1.2;
  font-weight: bold;
  padding-top: 25px;
  text-align: center;
}

.sel_btn li:hover {
  background-color: rgba(50, 170, 280, 1);
  transform: scale(1.03);
  box-shadow: 0px 3px 8px -5px rgba(0, 0, 0, 0.75);
}

.btn.active {
  background-color: rgba(50, 170, 280, 1);
  transform: scale(1.03);
  box-shadow: 0px 3px 8px -5px rgba(0, 0, 0, 0.75);
}

#year2023 {
  padding-top: 37px;
}

/* 単位について */
.subject_box {
  overflow-x: auto;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 3px;
  margin: 30px auto;
  padding: 40px 50px 35px;
  max-width: 950px; /* 内幅 */
  max-width: 948px; /* 線込 */
  border: 2px solid #fff;
}

/* タイトルと表と補足 */
.subject {
  width: fit-content;
  margin: 0 auto;
}

/* 表と補足 */
.subject_list aside.notice li {
  content: "※";
  font-size: 0.7em;
}

.subject_list li::before {
  content: "※";
  padding-right: 0.25em;
}

/* テーブル */
table {
  background-color: white;
  margin-bottom: 10px;
  white-space: nowrap;
}

tr {
  border: 1px solid rgba(200, 200, 200, 1);
  background-color: rgba(245, 245, 245, 1);
  color: white;
  text-align: center;
}

th {
  vertical-align: middle;
  padding: 3px 5px 0px 5px;
  border: 1px solid rgba(200, 200, 200, 1);
  background-color: rgba(0, 129, 202, 0.1);
  font-size: 0.75rem;
  letter-spacing: -1px;
}

th span {
  font-size: 0.75rem;
}

.thead1,.thead2,.thead3,.thead4,.thead5 {
  background-color: rgba(0, 129, 202, 1);
  color: white;
}

td {
  vertical-align: middle;
  padding: 3px 5px 0px 5px;
  border: 1px solid rgba(200, 200, 200, 1);
  font-size: 0.75rem;
  line-height: 1.7;
  letter-spacing: -1px;
  background-color: white;
}

.td_name {
  text-align: left;
}

/* その他 */
.detail_wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 950px;
  gap: 30px;
}

.detail {
  flex: 1;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 3px;
  padding: 30px 50px 33px;
  max-width: 90%;
}

.detail p {
  margin-top: 8px;
}


/* リンク */
.transfer {
  /* 配置 */
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 45px auto 50px;
  /* サイズ */
  width: 260px;
  height: 60px;
  top: 35px;
  /* 装飾 */
  font-size: 1.1rem;
  color: white;
  background: rgba(0, 129, 202, 1);
  border: solid;
  border-width: 1px;
  border-right-width: 0;
  border-top-color: rgba(225, 225, 225, 0.7);
  border-left-color: rgba(255, 255, 255, 0.3);
  border-bottom-color: rgba(0, 0, 0, 0.3);
  box-shadow: 0px 5px 10px -6px rgba(0, 0, 0, 1);
  font-weight: bold;
  /* 位置の微調整 */
  padding-top: 3px;
  padding-left: 5px;
  /* z-index: 10; */
  /* border-radius: 3px 0 0 3px; */
}

.transfer:hover,
.transfer:focus-visible,
.transfer:active {
  background-color: rgba(50, 170, 280, 1);
  transform: scale(1.025);
}

.icon {
  border-bottom: 2px solid #F9F9F9;
  border-right: 2px solid #F9F9F9;
  width: 10px;
  height: 10px;
  transform: rotate(-45deg);
  margin: auto 5px;
}

/* フッター */
footer {
  position: absolute;
  width: 100%;
  border-top: 20px solid rgba(244, 244, 244, 1);
  background: rgba(250, 250, 250, 1);
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.15);
}

footer .relative_box {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

footer .logo {
  right: 10px;
  width: 150px;
  height: 33px;
  margin: 20px auto 18px 30px ;
  margin-bottom: 18px; /* 公式サイト */
  transition: 0.3s; /* マウスアウト */
}

footer .logo:hover,
footer .logo:focus-visible,
footer .logo:active {
  opacity: 0.5;
  transition: 0.2s;
}

footer .copyright {
  display: block;
  width: fit-content;
  font-size: 0.7rem;
  color: rgba(101, 100, 100, 1);
  margin: auto; /* 中央配置 */
  margin-right: 3%;
}

/* フェードイン */
body {
  animation: fadeIn 2s ease 0s 1 normal;
  -webkit-animation: fadeIn 2s ease 0s 1 normal;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.fade {
  animation: scroll-anim linear;
  animation-timeline: view();
  animation-range: entry 0% contain 0%;
}

/* ループ アニメーション */
.scroll-infinity {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}
.scroll-infinity__wrap {
  overflow: hidden;
  display: flex;
  opacity: 0.7;
}
.scroll-infinity__list {
  display: flex;
  list-style: none;
}

/* 列 */
.scroll-infinity__item {
  margin: 0 5px 10px 5px;
/*width: calc(100vw / 4); /* (幅/数) */
/*height: calc(100vh / 3); /* (幅/数) */
  height: 204px;
  width: 321px;

}
.scroll-infinity__item > img {
  /* 枠に合わせる */
  object-fit: cover;
  width: 100%;
  height: 100%;
  object-position: top;
  /* 装飾 */
  box-shadow: 0px 5px 10px -6px rgba(0, 0, 0, 0.6);
}

@keyframes infinity-scroll-left {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}
.scroll-infinity__list--left {
  animation: infinity-scroll-left 300s infinite linear 0.5s both;
  margin: 0;
}

@keyframes infinity-scroll-right {
  from {
    transform: translateX(-100%);
  }
  to {
    transform: translateX(0%);
  }
}
.scroll-infinity__list--right {
  animation: infinity-scroll-right 300s infinite linear 0.5s both;
  margin: 0;
}

/* PC */
/* SP */
